Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
hkdf.h File Reference
`#include <botan/mac.h>`
`#include <botan/kdf.h>`

Go to the source code of this file.

## Classes
class | Botan::HKDF
class | Botan::HKDF_Expand
class | Botan::HKDF_Extract

## Namespaces
| Botan

## Functions
secure_vector< uint8_t > | Botan::hkdf_expand_label (const std::string &hash_fn, const uint8_t secret[], size_t secret_len, const std::string &label, const uint8_t hash_val[], size_t hash_val_len, size_t length)